/**
 * Toogler for searchform,
 * on Search Page hides label when input is filled
 */
setTimeout(function() {
    var headerSearch = document.querySelectorAll('.idsk-header-extended__search');
    var advancedSearch = document.querySelectorAll('.idsk-search-component__input');
    
    if (headerSearch) {
        headerSearch.forEach(function (searchComponent) {
            var inputs = searchComponent.getElementsByTagName('input');
            for (var i = 0; i < inputs.length; i++) {
                if (inputs[i].value) {
                    for(var j = 0; j < inputs[i].labels.length; j++) {
                        inputs[i].labels[j].classList.toggle('idsk-header-extended__search-input--focus');
                    }
                }
            }
        });
    }

    if (advancedSearch) {
        advancedSearch.forEach(function (searchComponent) {
            searchComponent.addEventListener('change', searchComponentLabelHide);
            searchComponent.dispatchEvent(new Event('change'));
        });
    }
}, 500);

function searchComponentLabelHide(e) {
    var el = e.target || e;
    var searchComponent = el.closest('.idsk-search-component');
    var searchLabel = searchComponent.querySelector('label');

    if (el.value == '') {
        searchLabel.classList.remove('govuk-visually-hidden');
    } else {
        searchLabel.classList.add('govuk-visually-hidden');
    }
}