<?php
/**
 * ID-SK theme - footer-extended_navigation
 * 
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.0
 */
?>

<?php

$menu_name = 'footer_menu';

if ( has_nav_menu($menu_name) && ($locations = get_nav_menu_locations()) && isset($locations[$menu_name])) {
    $footer_menu = wp_get_nav_menu_object($locations[$menu_name]);
    $menu_items = wp_get_nav_menu_items($footer_menu->term_id);

    $footer_menu = array();
    foreach ((array) $menu_items as $menu_item) {
        $item = array(
            'title' => $menu_item->title,
            'url' => $menu_item->url
        );

        // if has parent, please, give him back to his parent!
        if ($menu_item->menu_item_parent) {
            $footer_menu[$menu_item->menu_item_parent]['submenu'][] = $item;
        } else {
            $footer_menu[$menu_item->ID] = $item;
        }
    }
?>
    <div class="idsk-footer-extended-meta-item">
        <ul class="idsk-footer-extended-inline-list ">
            <?php 
                foreach ( $footer_menu as $item ) {
                
                    // skip submenus
                    if (!isset($item['submenu'])) { ?>
                        <li class="idsk-footer-extended-inline-list-item">
                            <a
                                class="govuk-link"
                                href="<?php echo esc_url($item['url']); ?>"
                                title="<?php echo esc_attr($item['title']); ?>">
                                <?php echo esc_html($item['title']); ?>
                            </a>
                        </li>
                <?php } 
                } ?>
        </ul>
    </div>
<?php } ?>