<?php
/**
 * ID-SK theme - header-extended_nav-logo
 * 
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.0
 */
$blog_info = get_bloginfo( 'name' );

$custom_logo_id = get_theme_mod( 'custom_logo' );
$custom_logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );

$default_logo = get_theme_mod( 'custom_logo' ) ? $custom_logo[0] : '';
$main_logo = get_theme_mod( 'idsktmp_main_logo' ) ? get_theme_mod( 'idsktmp_main_logo' ) : $default_logo;
$main_logo_white = get_theme_mod( 'idsktmp_main_logo_white' ) ? get_theme_mod( 'idsktmp_main_logo_white' ) : $default_logo;
$main_logo_small = get_theme_mod( 'idsktmp_main_logo_small' ) ? get_theme_mod( 'idsktmp_main_logo_small' ) : $default_logo;
$main_logo_small_white = get_theme_mod( 'idsktmp_main_logo_small_white' ) ? get_theme_mod( 'idsktmp_main_logo_small_white' ) : $default_logo;
?>
<div class="idsk-header-extended__logo govuk-grid-column-one-third">
    <a 
        href="<?php echo esc_url( home_url() ); ?>"
        title="<?php echo esc_attr( get_bloginfo('name') . ' - ' . __('Domov', 'idsk-template') ) ?>">
        <div class="idsk-header-extended__logotype-crown">
            <?php if ($main_logo) { ?>
                <img src="<?php echo esc_url( $main_logo ) ?>" alt="logo" loading="lazy">
            <?php } else { ?>
                <h1 class="govuk-heading-l"><?php echo esc_html($blog_info); ?></h1>
            <?php } ?>
        </div>
        <div class="idsk-header-extended__logotype-crown-mobile">
            <?php if ($main_logo_small) { ?>
                <img src="<?php echo esc_url( $main_logo_small ) ?>" alt="logo-small" loading="lazy">
            <?php } else { ?>
                <h1 class="govuk-heading-l"><?php echo esc_html($blog_info); ?></h1>
            <?php } ?>
        </div>
        <div class="idsk-header-extended__logotype-crown-mobile-navigation">
            <?php if ($main_logo_white) { ?>
                <img src="<?php echo esc_url( $main_logo_white ) ?>" alt="logo-white" loading="lazy">
            <?php } else { ?>
                <h1 class="govuk-heading-l"><?php echo esc_html($blog_info); ?></h1>
            <?php } ?>
        </div>
        <div class="idsk-header-extended__logotype-crown-mobile-small-navigation">
            <?php if ($main_logo_small_white) { ?>
                <img src="<?php echo esc_url( $main_logo_small_white ) ?>" alt="logo-small-white" loading="lazy">
            <?php } else { ?>
                <h1 class="govuk-heading-l"><?php echo esc_html($blog_info); ?></h1>
            <?php } ?>
        </div>
    </a>
</div>