<?php
/**
 * ID-SK theme - header-extended_navigation
 * 
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.0
 */
?>

<?php

$menu_name = 'primary_menu';

if ( has_nav_menu($menu_name) && ($locations = get_nav_menu_locations()) && isset($locations[$menu_name])) {
    $primary_menu = wp_get_nav_menu_object($locations[$menu_name]);
    $menu_items = wp_get_nav_menu_items($primary_menu->term_id);

    $primary_menu = array();
    foreach ((array) $menu_items as $menu_item) {
        $item = array(
            'active' => $menu_item->object_id == get_queried_object_id() ? 'idsk-header-extended__navigation-item--active' : '',
            'title' => $menu_item->title,
            'url' => $menu_item->url
        );
        
        // if has parent, please, give him back to his parent!
        if ($menu_item->menu_item_parent) {
            $primary_menu[$menu_item->menu_item_parent]['submenu'][] = $item;
        } else {
            $primary_menu[$menu_item->ID] = $item;
        }
    }
?>
    <div class="idsk-header-extended__content">
        <nav>
            <ul id="navigation" class="idsk-header-extended__navigation" aria-label="<?php echo esc_attr__( 'Navigácia najvyššej úrovne', 'idsk-template' ); ?>">
                <?php 
                    foreach ( $primary_menu as $item ) {
                        $has_submenu = isset($item['submenu']) && count($item['submenu']) ? "idsk-js-header-extended-submenu-toggle idsk-header-extended__arrow" : "";
                        $url = $has_submenu ? "#" : $item['url'];
                ?>
                    <li class="idsk-header-extended__navigation-item <?php echo isset($item['active']) ? esc_attr( $item['active'] ) : ''; ?>">
                        <a
                            class="idsk-header-extended__link <?php echo esc_attr( $has_submenu ); ?>"
                            href="<?php echo esc_url($url); ?>"
                            title="<?php echo isset($item['title']) ? esc_attr( $item['title'] ) : ''; ?>">
                            <?php echo isset($item['title']) ? esc_html( $item['title'] ) : ''; ?>
                        </a>
                        <?php if (isset($item['submenu']) && count($item['submenu'])) { ?>
                        <div class="idsk-header-extended__navigation-submenu">
                            <ul class="govuk-width-container">
                            <?php 
                                foreach ($item['submenu'] as $sub_item) { ?>
                                <li>
                                    <a href="<?php echo isset($sub_item['url']) ? esc_url( $sub_item['url'] ) : '#'; ?>" title="<?php echo isset($sub_item['title']) ? esc_attr( $sub_item['title'] ) : ''; ?>">
                                        <?php echo isset($sub_item['title']) ? esc_html( $sub_item['title'] ) : ''; ?>
                                    </a>
                                </li>
                            <?php } ?>
                            </ul>
                        </div>
                        <?php } ?>
                    </li>
                <?php } ?>
            </ul>
        </nav>
    </div>
<?php } ?>