<?php
/**
 * ID-SK theme - searchform
 * 
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.0
 */

// Check whether the header search is activated in the customizer.
$enable_header_search = get_theme_mod( 'enable_header_search', true );
$enable_header_search_class = true === $enable_header_search ? '' : 'search-hidden';
$search_id = wp_unique_id();
?>


<div class="idsk-header-extended__search <?php echo esc_attr( $enable_header_search_class ) ?>">
    <form class="idsk-header-extended__search-form" role="search" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
        <label class="idsk-header-extended__search-label" for="<?php echo 'idsk-header-extended__search-input-'.esc_attr($search_id); ?>">
            <?php echo esc_html_e('Zadajte hľadaný výraz', 'idsk-template') ?>
        </label>
        <input class="govuk-input govuk-!-display-inline-block" id="<?php echo 'idsk-header-extended__search-input-'.esc_attr($search_id); ?>" name="s" type="search" aria-describedby="input-width-30-hint" aria-label="<?php esc_attr_e('Zadajte hľadaný výraz', 'idsk-template') ?>" value="<?php echo esc_attr(get_search_query()); ?>" />
        <button type="submit" class="govuk-button govuk-!-display-inline-block" data-module="govuk-button">
            <span class="govuk-visually-hidden"><?php echo esc_html__('Vyhľadať', 'idsk-template') ?></span>
            <i aria-hidden="true" class="fas fa-search"></i>
        </button>
    </form>
</div>